%define major		2
%define shortname	speechd
%define libname		%mklibname %{shortname} %{major}
%define devname		%mklibname %{shortname} -d

Name:		speech-dispatcher
Version:	0.10.2
Release:	%mkrel 1
Summary:	Speech Dispatcher provides a device independent layer for speech synthesis
Group:		System/Libraries
License:	GPLv2
URL:		http://www.freebsoft.org/speechd
Source0:	http://www.freebsoft.org/pub/projects/speechd/%{name}-%{version}.tar.gz
Source1:	http://www.freebsoft.org/pub/projects/sound-icons/sound-icons-0.1.tar.gz
Source2: speech-dispatcher.desktop
Source3: speech-dispatcher.logrotate
Source4: speech-dispatcher-user-pulse.example
Patch1:   0001-Remove-pyxdg-dependency.patch
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ao)
BuildRequires:	pkgconfig(dotconf) >= 1.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libpulse-simple)
BuildRequires:	pkgconfig(sndfile) >= 1.0.2
BuildRequires:	pkgconfig(python3)
BuildRequires:	libltdl-devel
BuildRequires:	libespeak-devel
BuildRequires:	svox-pico-devel
BuildRequires:	intltool
BuildRequires:	texinfo

Recommends:	%{name}-conf
Requires(post):  rpm-helper
Requires(preun): rpm-helper 

%description
This is the Speech Dispatcher project (speech-dispatcher). It is a part of the
Free(b)soft project, which is intended to allow blind and visually impaired
people to work with computer and Internet based on free software.

%files -f %{name}.lang
%doc speech-dispatcher-user-pulse.example
%{_bindir}/spd-say
%{_bindir}/spdsend
%{_bindir}/%{name}

%config %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/xdg/autostart/speech-dispatcher.desktop
%config(noreplace) %{_sysconfdir}/speech-dispatcher/speechd.conf
%config(noreplace) %{_sysconfdir}/%{name}/clients/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/modules/*.conf
%dir %{_sysconfdir}/%{name}
%{_libdir}/%{name}
%{_libdir}/%{name}-modules
%{_datadir}/sounds/%{name}
%{_infodir}/%{name}.info.*
%{_infodir}/%{name}-cs.info.*
%{_infodir}/spd-say.info.*
%{_infodir}/ssip.info.*
%{_logdir}/%{name}
%{_datadir}/%{name}
%{_mandir}
#--------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package provides the shared libraries for Speech Dispatcher.

%files -n %{libname}
%{_libdir}/libspeechd.so.%{major}*

#--------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains development files for %{name}.

%files -n %{devname}
%{_includedir}/speech-dispatcher
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

#--------------------------------------------------------------------------

%package conf
Summary:	Configuration tool for Speech Dispatcher
Group:		System/Libraries
Requires:	python3-pyxdg
Requires:	%{name} >= %{version}

%description conf
This package contains spd-conf, a configuration tool for Speech
Dispatcher.

%files conf
%{_bindir}/spd-conf
%{python3_sitearch}/speechd_config

#--------------------------------------------------------------------------

%package -n python3-%{shortname}
Summary:	A Python library for communication with Speech Dispatcher
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n python3-%{shortname}
This package provides a Python library for communication 
with Speech Dispatcher.

%files -n python3-%{shortname}
%{python3_sitearch}/speechd

#--------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

tar xf %{SOURCE1}
cp -p %{SOURCE4} .

%build
%configure2_5x \
	--disable-static \
	--with-baratinoo=no \
	--with-kali=no \
	--with-ibmtts=no \
	--with-voxin=no \
	--with-pico

%make_build

%install
%make_install

# upstream recommend the use of sound icons with Speech Dispatcher
install -p -m 0644 sound-icons-0.1/* %{buildroot}%{_datadir}/sounds/%{name}/

#start daemon at login
install -Dm 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/xdg/autostart/speech-dispatcher.desktop

# logrotate install
install -Dm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# create the needed directory for logs
install -d -m 0755 %{buildroot}%{_logdir}/%{name}

# we don't wat these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}


%changelog
* Mon Aug 22 2022 tex - 0.10.2-1pclos2022
- new version

* Mon Aug 22 2022 tex - 0.8.8-2pclos2022
- rebuild against updates

